import create from 'dd-store'
import exampleStore from '/stores/exampleStore'
import { editFile } from '../../api/request.js'
create.Page({
  store: exampleStore,
  useAll: true,
  data: {
    descript: '',
    fileInfos: ''
  },
  onLoad(event) {
    dd.setNavigationBar({
      title: '编辑文件'
    })
    this.setData({
      fileInfos: JSON.parse(event.file),
      descript: JSON.parse(event.file).descript
    })
  },
  inputDes(event) {
    let value = event.detail.value
    this.setData({
      descript: value
    })

  },
  // 点击保存
  save() {
    let data = {
      id: this.data.fileInfos.id,
      uploader: getApp().globalData.userid,
      uploaderInfo: JSON.stringify({
        userId: getApp().globalData.userid,
        username: getApp().globalData.name,
        headUrl: getApp().globalData.avatar
      }),
      thirdStoreTenant: 'dingTalk',
      fileInfos: JSON.stringify(this.data.fileInfos.fileInfos),
      descript: this.data.descript
    }
    editFile(data).then(res => {
      dd.navigateBack({
        delta: 1
      })
    })

  }
});
